class Tamagotchi {

    static final int PROPRETE_INITIALE = 5;
    static final int PROPRETE_MAXIMALE = 10;
    static final int CHANGEMENT_PROPRETE_LAVE = +2;
    static final int CHANGEMENT_PROPRETE_ATTEND = -1;
    public boolean vivant;
    public int proprete;

    public Tamagotchi(){
	vivant = true;
	proprete = PROPRETE_INITIALE;
    }

    public void se_lave(){
	if (!vivant) return;
	proprete += CHANGEMENT_PROPRETE_LAVE;
	if(proprete > PROPRETE_MAXIMALE)
	    vivant = false;
    }

    public void attend(){
	if (!vivant) return;
	proprete += CHANGEMENT_PROPRETE_ATTEND;
	if (proprete<=0)
	    vivant = false;
    }


    public String toString(){
	if(!vivant)
	    return "Un Tamagotchi mort";
	if (proprete < PROPRETE_INITIALE)
	    return "Un Tamagotchi sale";
	if (proprete > PROPRETE_INITIALE)
	    return "Un Tamagotchi propre";
	return "Un Tamagotchi";
    }
}
